Bug 47101 - EDITING: Selection tool - the problem with objects without margin (adjacent to one of the page edges)
Summary: EDITING: Selection tool - the problem with objects without margin (adjacent t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 106007 (view as bug list)
Depends on:
Blocks: Selection
  Show dependency treegraph
 
Reported: 2012-03-08 07:29 UTC by Tom
Modified: 2021-10-27 03:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test file (12.20 KB, application/vnd.oasis.opendocument.text)
2019-10-27 16:36 UTC, Fabien08FR
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom 2012-03-08 07:29:10 UTC
Problem description: 

There is no possibility of a selection of objects spanning the entire width of the page or adjacent to one of the page edges (assuming that the page has margins set to 0). To select several objects, the selection area must cover the whole of the elements and even more, but the selection tools can not go beyond the page.
Problem shows up when you have several objects arranged in layers one above the other and when we try to group them.


Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/536.3 (KHTML, like Gecko) Chrome/19.0.1061.1 Safari/536.3

Vesrion:

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 1 sasha.libreoffice 2012-05-30 08:49:39 UTC
Thanks for bugreport
Workaround: select as many objects as possible, then press Shift and hold, then select remaining objects by mouse clicks.
Comment 2 sasha.libreoffice 2012-12-22 10:57:43 UTC
> the selection tools can not go beyond the page
Reproduced in 3.6.4 on RFR 17 64 bit
It is very unhandy to select objects with this bug. But from another side, Writer is not intended for graphical editing. We have Draw.
Comment 3 QA Administrators 2015-01-05 17:51:45 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-23 16:30:51 UTC
Yeah, it should be possible to start selecting outside the page.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 5 QA Administrators 2016-02-21 08:36:04 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 15:24:49 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2018-10-26 19:28:18 UTC
*** Bug 106007 has been marked as a duplicate of this bug. ***
Comment 8 QA Administrators 2019-10-27 03:38:09 UTC Comment hidden (obsolete)
Comment 9 Fabien08FR 2019-10-27 16:36:21 UTC
Created attachment 155347 [details]
Test file
Comment 10 Fabien08FR 2019-10-27 16:38:31 UTC
Bug still here with 6.3. 

Can not select text while begining outside text limit aera in header and footer.

Version: 6.3.2.2 (x64)
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
Threads CPU : 4; OS : Windows 6.3; UI Render : par défaut; VCL: win; 
Locale : fr-FR (fr_FR); Langue IHM : fr-FR
Calc: CL
Comment 11 QA Administrators 2021-10-27 03:44:32 UTC
Dear Tom,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug